# state_normal.cpp File Reference

Template File. More...

`#include "state_normal.h"`
`#include "workarea.h"`
`#include "event_mouse.h"`
`#include "event_layerclick.h"`
`#include "toolbox.h"`
`#include "dialog_tooloptions.h"`
`#include <gtkmm/dialog.h>`
`#include "widget_waypointmodel.h"`
`#include <synfig/valuenode_animated.h>`
`#include <synfig/valuenode_composite.h>`
`#include <synfig/valuenode_const.h>`
`#include "canvasview.h"`
`#include "general.h"`

## Detailed Description

Template File.

$Id$